Get your workflows
curl --request GET \
--url https://api.cal.com/v2/workflows \
--header 'Authorization: <authorization>'import requests
url = "https://api.cal.com/v2/workflows"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.cal.com/v2/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": [
{
"id": 101,
"name": "Platform Test Workflow",
"type": "event-type",
"activation": {
"isActiveOnAllEventTypes": false,
"activeOnEventTypeIds": [
698191,
698192
]
},
"trigger": {
"type": "beforeEvent",
"offset": {
"value": 24,
"unit": "hour"
}
},
"steps": [
{
"id": 67244,
"stepNumber": 1,
"recipient": "const",
"template": "reminder",
"sender": "Cal.com Notifications",
"message": {
"subject": "Reminder: Your Meeting {EVENT_NAME} - {EVENT_DATE_ddd, MMM D, YYYY h:mma} with Cal.com",
"html": "<p>Reminder for {EVENT_NAME}.</p>",
"text": "Reminder for {EVENT_NAME}."
},
"action": "email_host",
"email": "notifications@example.com",
"phone": "<string>",
"phoneRequired": true,
"includeCalendarEvent": true,
"autoTranslateEnabled": false,
"sourceLocale": "en"
}
],
"userId": 2313,
"teamId": 4214321,
"createdAt": "2024-05-12T10:00:00.000Z",
"updatedAt": "2024-05-12T11:30:00.000Z"
}
]
}Workflows
Get your workflows
Get the event-type workflows owned by the authenticated user. Routing form workflows are not returned. Not available to third-party OAuth access tokens.
GET
/
v2
/
workflows
Get your workflows
Headers
value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token
Query Parameters
Maximum number of items to return
Required range:
1 <= x <= 250Example:
25
Number of items to skip
Required range:
x >= 0Example:
0
Was this page helpful?
⌘I